
Name:		digikamimageplugins-doc
Version:	0.8.2
Release:	3%{?dist}	
Summary:	Documentation for digiKamimageplugins

Group:		Documentation
License:	GFDL
URL:		http://www.digikam.org/
Source0:	http://dl.sourceforge.net/sourceforge/digikam/digikamimageplugins-doc-%{version}-r1.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

# Either use this patch or use ./configure --target below
# to trick this into a .noarch build -- Rex
Patch1:		digikamimageplugins-doc-0.8.2-noarch.patch

#BuildRequires:	automake libtool
BuildRequires:	kdelibs-devel
Requires:	digikamimageplugins >= %{version}

%description
%{summary}.


%prep
%setup -q -n %{name}-%{version}-r1

#patch1 -p1 -b .noarch
#make -f admin/Makefile.common


%build
%configure --target=%{_build_cpu}

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done



%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README


%changelog
* Tue Dec 19 2006 Rex Dieter <rdieter[AT]fedoraproject.org> 0.8.2-3
- Requires: digikamimageplugins >= %%version

* Mon Oct 02 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.2-2
- Release: use %%{?dist}
- Source: include URL that actually works

* Fri Sep 01 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.2-1
- 0.8.2 (first try)

